Package org.etsi.uri._01903.v1_4

# Class TimeStampValidationData

java.lang.Object
org.etsi.uri._01903.v1_4.TimeStampValidationData

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class TimeStampValidationData extends Object implements Serializable

Java class for ValidationDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidationDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://uri.etsi.org/01903/v1.3.2#}CertificateValues" minOccurs="0"/>
             <element ref="{http://uri.etsi.org/01903/v1.3.2#}RevocationValues" minOccurs="0"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="UR" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeStampValidationData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateValuesType`
  `getCertificateValues()`
  Gets the value of the certificateValues property.
  `String`
  `getId()`
  Gets the value of the id property.
  `RevocationValuesType`
  `getRevocationValues()`
  Gets the value of the revocationValues property.
  `String`
  `getUR()`
  Gets the value of the ur property.
  `void`
  `setCertificateValues(CertificateValuesType value)`
  Sets the value of the certificateValues property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setRevocationValues(RevocationValuesType value)`
  Sets the value of the revocationValues property.
  `void`
  `setUR(String value)`
  Sets the value of the ur property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeStampValidationData

    public TimeStampValidationData()

- ## Method Details

  - ### getCertificateValues

    public CertificateValuesType getCertificateValues()
    Gets the value of the certificateValues property.
    Returns:
      possible object is `CertificateValuesType`

  - ### setCertificateValues

    public void setCertificateValues(CertificateValuesType value)
    Sets the value of the certificateValues property.
    Parameters:
      `value` - allowed object is `CertificateValuesType`

  - ### getRevocationValues

    public RevocationValuesType getRevocationValues()
    Gets the value of the revocationValues property.
    Returns:
      possible object is `RevocationValuesType`

  - ### setRevocationValues

    public void setRevocationValues(RevocationValuesType value)
    Sets the value of the revocationValues property.
    Parameters:
      `value` - allowed object is `RevocationValuesType`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUR

    public String getUR()
    Gets the value of the ur property.
    Returns:
      possible object is `String`

  - ### setUR

    public void setUR(String value)
    Sets the value of the ur property.
    Parameters:
      `value` - allowed object is `String`